CVE-2017-7308:Linux内核逃逸

admin 2022年8月7日10:35:30安全漏洞评论22 views658字阅读2分11秒阅读模式

影响范围

Linux Kernel 4.10.6

漏洞类型

容器内核逃逸

利用条件

影响范围应用

漏洞概述

Linux kernel < 4.10.6版本中,net/packet/af_packet.c/packet_set_ring函数未正确验证某些块大小数据,本地用户通过构造的系统调用实现提权,改漏洞亦可用于容器逃逸操作

漏洞环境

切换内核版本至漏洞影响范围内版本:

./metarget cnv install cve-2017-7308 --verbose

CVE-2017-7308:Linux内核逃逸

构建漏洞利用镜像

gcc -o poc poc.cdocker build -t exp .docker run -it --rm exp

漏洞利用

在容器中执行以下命令完成逃逸(由于环境原因未成功切换内核版本,导致失败,有兴趣的可以试试,流程一样):

./poc

漏洞EXP

漏洞利用载荷可以去这个项目中查找

https://github.com/Al1ex/LinuxEelvation

CVE-2017-7308:Linux内核逃逸

安全建议

升级物理主机内核版本到最新版本

参考链接

https://googleprojectzero.blogspot.com/2017/05/exploiting-linux-kernel-via-packet.html

https://www.cyberark.com/resources/threat-research-blog/the-route-to-root-container-escape-using-kernel-exploitation

原文始发于微信公众号(七芒星实验室):CVE-2017-7308:Linux内核逃逸

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年8月7日10:35:30
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  CVE-2017-7308:Linux内核逃逸 http://cn-sec.com/archives/1221741.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: